/*
 * humaxsrc.h -- Humax Serial Remote Control
 * Copyright (C) 2003 Charles Yates <charles.yates@pandora.be>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _HUMAX_SRC_H_
#define _HUMAX_SRC_H_

// IR control commands:
#define KEY_ONOFF 			0x00
#define KEY_TVSAT 			0x02
#define KEY_1 				0x03
#define KEY_2 				0x04
#define KEY_3 				0x05
#define KEY_4 				0x06
#define KEY_5 				0x07
#define KEY_6 				0x08
#define KEY_7 				0x09
#define KEY_8 				0x0A
#define KEY_9		 		0x0B
#define KEY_0 				0x0C
#define KEY_RADIO 			0x0D
#define KEY_MENU 			0x0E
#define KEY_PMINUS 			0x0F
#define KEY_PPLUS 			0x10
#define KEY_UP 				0x11
#define KEY_LEFT 			0x12
#define KEY_OK 				0x13
#define KEY_RIGHT 			0x14
#define KEY_DOWN 			0x15
#define KEY_EXIT 			0x16
#define KEY_ASK 			0x17
#define KEY_MUTE 			0x18
#define KEY_WHITE 			0x19
#define KEY_YELLOW 			0x1A
#define KEY_EPG 			0x1B
#define KEY_RED 			0x1C
#define KEY_GREEN 			0x1D
#define KEY_BLUE 			0x1E
#define KEY_VPLUS 			0x1F
#define KEY_VMINUS 			0x40
#define KEY_RCL 			0x41
#define KEY_FRONT_TVRADIO 	0x24
#define KEY_FRONT_STANDBY 	0x23
#define KEY_FRONT_DOWN 		0x22
#define KEY_FRONT_UP 		0x21

extern int humax_init( char * );
extern void humax_send( int, short );
extern int humax_execute( int, char * );
extern char *humax_get_command( int );
extern void humax_close( int );

#endif
