/*
 * Initial main.c file generated by Glade. Edit as required.
 * Glade will not overwrite this file.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <stdio.h>
#include <string.h>
#include <gtk/gtk.h>

#include "humaxsrc.h"
#include "interface.h"
#include "support.h"

int fd = -1;

struct button_mapping
{
	char *button;
	char *command;
};

struct button_mapping button_table[ ] =
{
	{ "button_0", "0" },
	{ "button_1", "1" },
	{ "button_2", "2" },
	{ "button_3", "3" },
	{ "button_4", "4" },
	{ "button_5", "5" },
	{ "button_6", "6" },
	{ "button_7", "7" },
	{ "button_8", "8" },
	{ "button_9", "9" },
	{ "button_onoff", "onoff" },
	{ "button_tvsat", "tvsat" },
	{ "button_radio", "radio" },
	{ "button_menu", "menu" },
	{ "button_up", "up" },
	{ "button_left", "left" },
	{ "button_ok", "ok" },
	{ "button_right", "right" },
	{ "button_down", "down" },
	{ "button_exit", "exit" },
	{ "button_ask", "ask" },
	{ "button_mute", "mute" },
	{ "button_white", "white" },
	{ "button_yellow", "yellow" },
	{ "button_epg", "epg" },
	{ "button_red", "red" },
	{ "button_green", "green" },
	{ "button_blue", "blue" },
	{ "button_vplus", "vplus" },
	{ "button_vminus", "vminus" },
	{ "button_rcl", "rcl" },
	//{ "button_tvradio", "tvradio" },
	//{ "button_standby", "standby" },
	//{ "button_front_down", "front_down" },
	//{ "button_front_up", "front_up" },
	{ NULL, NULL }
};

static gboolean on_main_window_delete_event( GtkWidget *widget, GdkEvent *event, gpointer user_data )
{
	gtk_main_quit( );
	return TRUE;
}

static gboolean on_button_clicked( GtkWidget *button, gpointer data )
{
	char *command = data;
	humax_execute( fd, command );
	return FALSE;
}

int main (int argc, char *argv[])
{
	GtkWidget *humaxsrc;
	char *device = "/dev/ttyS0";

#ifdef ENABLE_NLS
	bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
	bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
	textdomain (GETTEXT_PACKAGE);
#endif

	gtk_set_locale ();
	gtk_init (&argc, &argv);

	add_pixmap_directory (PACKAGE_DATA_DIR "/" PACKAGE "/pixmaps");
		
	if ( argc > 2 && !strcmp( argv[ 1 ], "-d" ) )
	  device = argv[ 2 ];
	
	fd = humax_init( device );
	
	if ( fd != -1 )
	{
		int index = 0;
		humaxsrc = create_humaxsrc ();
		gtk_widget_show (humaxsrc);
		gtk_signal_connect( GTK_OBJECT( humaxsrc ), "destroy", GTK_SIGNAL_FUNC( on_main_window_delete_event ), "" );
		for ( index = 0; button_table[ index ].command != NULL; index ++ )
		{
			GtkWidget *widget = lookup_widget( humaxsrc, button_table[ index ].button );
			if ( widget != NULL )
				gtk_signal_connect( GTK_OBJECT( widget ), "clicked", GTK_SIGNAL_FUNC( on_button_clicked ), button_table[ index ].command );
		}
		gtk_main ();
		humax_close( fd );
	}
	else
	{
		fprintf( stderr, "Unable to open %s\n", device );
		fprintf( stderr, "Usage: humaxsrc [ -d device ]\n" );
	}
	
	return 0;
}

