/*
 * tuxsrc.c -- Tux Serial Remote Control Command Line Util
 * Copyright (C) 2003 Charles Yates <charles.yates@pandora.be>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include <string.h>
#include "humaxsrc.h"

int main( int argc, char **argv )
{
	char *device = "/dev/ttyS0";
	int index = 1;

	if ( argc != 1 )
	{
		int humax;

		if ( !strcmp( argv[ 1 ], "-d" ) )
		{
			device = argv[ ++ index ];
			++ index;
		}

		humax = humax_init( device );

		if ( humax != -1 )
		{
			for ( ; index < argc; index ++ )
				humax_execute( humax, argv[ index ] );
			humax_close( humax );
		}
		else
		{
			fprintf( stderr, "Unable to open device %s\n", device );
		}
	}
	else
	{
		fprintf( stderr, "Usage: tuxsrc [ -d device ] command\n" );
		fprintf( stderr, "Where command is the channel number or one or more of the following:\n" );
		for ( index = 0; humax_get_command( index ) != NULL; index ++ )
			fprintf( stderr, "%s ", humax_get_command( index ) );
		fprintf( stderr, "\n" );
	}

	return 0;
}
